<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/ll_keys"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:gravity="center|left|right"
    android:orientation="vertical">

    <EditText
        android:id="@+id/ed_value"
        android:layout_width="match_parent"
        android:layout_height="64dp"
        android:ems="10"
        android:enabled="false"
        android:gravity="right"
        android:inputType="numberDecimal"
        android:singleLine="true"
        android:text=""
        android:textColorHint="#FF0000"
        android:textSize="30dip"
        android:textStyle="bold">

        <requestFocus />
    </EditText>

    <TableLayout
        android:id="@+id/LL_keys"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:background="@color/theme_color"
        android:stretchColumns="*">

        <TableRow
            android:id="@+id/tableRow1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <Button
                android:id="@+id/btn_A"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="55"
                android:text="A"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_7"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="7"
                android:text="@string/Key_7"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_8"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="8"
                android:text="@string/Key_8"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_9"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="9"
                android:text="@string/Key_9"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />
        </TableRow>

        <TableRow
            android:id="@+id/tableRow2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <Button
                android:id="@+id/btn_B"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="56"
                android:text="@string/Key_7"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_4"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="4"
                android:text="@string/Key_4"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_5"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="5"
                android:text="@string/Key_5"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_6"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="6"
                android:text="@string/Key_6"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />
        </TableRow>

        <TableRow
            android:id="@+id/tableRow3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <Button
                android:id="@+id/btn_C"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="57"
                android:text="@string/Key_7"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_1"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="1"
                android:text="@string/Key_1"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_2"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="2"
                android:text="@string/Key_2"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_3"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="3"
                android:text="@string/Key_3"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />
        </TableRow>

        <TableRow
            android:id="@+id/tableRow4"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <Button
                android:id="@+id/btn_more"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="58"
                android:text="..."
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_clear"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:longClickable="true"
                android:tag="99"
                android:text="@string/Key_clear"
                android:textColor="@color/theme_white_color"
                android:textSize="30sp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_0"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginRight="2dp"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="0"
                android:text="@string/Key_0"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/btn_right"
                style="@style/ButtonBorderless"
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_marginTop="1dp"
                android:layout_weight="1"
                android:background="@drawable/table_selector_keyboard_login"
                android:focusable="true"
                android:layerType="software"
                android:tag="98"
                android:text="@string/Key_right"
                android:textColor="@color/theme_white_color"
                android:textSize="40dp"
                android:textStyle="bold" />
        </TableRow>
    </TableLayout>

</LinearLayout>
